using System;
using System.ComponentModel;
using System.Collections;
using System.Diagnostics;

using CCM;

namespace CCM.Seat
{
	public class Speed : Comp
	{
		// Stubs
		public VFS OUT = new VFS(0);

		float speed;
	
		protected override void Run() 
		{
			OUT.Cont = speed;
		}

		[Event] public void setSpeed( [Range(0.0,80.0,20.0)] float speed) 
		{
			this.speed = speed;
			EventOccured();
		}
	}
}
